import request from '@/utils/request'
// 公司信息
export function getCompanyInfo(data) {
  return request({
    login: 1,
    url: '/info/v2/company',
    method: 'get',
    params: data
  })
}
// 公司信息
export function getProductCompanyList(data) {
  return request({
    login: 1,
    url: '/Public/getProductCompanyList',
    method: 'post',
    data
  })
}
// 币种资料查询
export function getCoinInfo(data) {
  return request({
    login: 1,
    url: '/info/v2/coin',
    method: 'get',
    params: data
  })
}

// 公告列表
export function getNoticeList(data) {
  return request({
    login: 1,
    url: '/info/v2/notice',
    method: 'get',
    params: data
  })
}

// 股权变动
export function getStruct(data) {
  return request({
    login: 1,
    url: '/info/v2/struct',
    method: 'get',
    params: data
  })
}

// 主要股东
export function getMajor(data) {
  return request({
    login: 1,
    url: '/info/v2/major',
    method: 'get',
    params: data
  })
}

// 营业构成
export function getFinance(data) {
  return request({
    login: 1,
    url: '/info/v2/finance',
    method: 'get',
    params: data
  })
}

// 财务关键指标
export function getIndicator(data) {
  return request({
    login: 1,
    url: '/info/v2/indicator',
    method: 'get',
    params: data
  })
}

// getNews
export function getNews(data) {
  return request({
    login: 1,
    url: '/info/v2/news',
    method: 'get',
    params: data
  })
}

// newsDetail
export function newsDetail(data) {
  return request({
    login: 1,
    url: '/info/v2/newsDetail',
    method: 'get',
    params: data
  })
}

// 
export function getCategory(data) {
  return request({
    login: 1,
    url: '/info/v2/category',
    method: 'get',
    params: data
  })
}

export function getProductRecommendList(data) {
  return request({
    url: '/Public/getProductRecommendList',
    method: 'post',
    params: data
  })
}

// 
export function getBoardLead(data) {
  return request({
    login: 1,
    url: '/info/v2/boardLead',
    method: 'get',
    params: data
  })
}